package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.dormitory.domain.DmsNewRange;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 住宿区间Mapper接口
 *
 * @author srs
 * @date 2024-03-15
 */
public interface DmsNewRangeMapper extends BaseMapper<DmsNewRange> {
    /**
     * 查询住宿区间
     *
     * @param id 住宿区间主键
     * @return 住宿区间
     */
    public DmsNewRange selectDmsNewRangeById(Long id);

    /**
     * 查询住宿区间列表
     *
     * @param dmsNewRange 住宿区间
     * @return 住宿区间集合
     */
    List<DmsNewRange> selectDmsNewRangeList(DmsNewRange dmsNewRange);

    /**
     * 新增住宿区间
     *
     * @param dmsNewRange 住宿区间
     * @return 结果
     */
    int insertDmsNewRange(DmsNewRange dmsNewRange);

    /**
     * 修改住宿区间
     *
     * @param dmsNewRange 住宿区间
     * @return 结果
     */
    int updateDmsNewRange(DmsNewRange dmsNewRange);

    /**
     * 删除住宿区间
     *
     * @param id 住宿区间主键
     * @return 结果
     */
    int deleteDmsNewRangeById(Long id);

    /**
     * 批量删除住宿区间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsNewRangeByIds(Long[] ids);
}
